Search Results for

Show / Hide Table of Contents

# Struct AssetData

Describes a requested data asset.

##### Inherited Members

ValueType.Equals(object)
ValueType.GetHashCode()
ValueType.ToString()
object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public struct AssetData

### Fields

#### dataExt

An optional extension for additional data.

##### Declaration

    [Tooltip("An optional extension for additional data.\nORTB: assets[i].data.ext")]
    public ExtSlot dataExt

##### Field Value

Type | Description
--- | ---
ExtSlot | This object is a placeholder that may contain custom JSON agreed to by the parties to support flexibility beyond the standard defined in ORTB specification.

##### Remarks

ORTB: `assets[i].data.ext`

#### dataType

Gets or sets data type.

##### Declaration

    [Tooltip("Type of the data element supported by the publisher.\nThe publisher can display this information in an appropriate format.\nORTB: assets[i].data.type")]
    public AssetData.DataType dataType

##### Field Value

Type | Description
--- | ---
AssetData.DataType | Type ID of the element supported by the publisher. The publisher can display this information in an appropriate format.

##### Remarks

ORTB: `assets[i].data.type`

##### See Also

AssetData.DataType

#### ext

An optional extension for additional data.

##### Declaration

    [Tooltip("An optional extension for additional data.\nORTB: assets[i].ext")]
    public ExtSlot ext

##### Field Value

Type | Description
--- | ---
ExtSlot | This object is a placeholder that may contain custom JSON agreed to by the parties to support flexibility beyond the standard defined in ORTB specification.

##### Remarks

ORTB: `assets[i].ext`

#### length

Gets or sets the maximum length.

##### Declaration

    [Tooltip("Maximum length of the text in the element’s response.\nORTB: assets[i].data.len")]
    public SerializableOptional<int> length

##### Field Value

Type | Description
--- | ---
SerializableOptional<int> | Maximum length of the text in the element’s response.

##### Remarks

ORTB: `assets[i].data.len`

#### required

Gets or sets if asset is required.

##### Declaration

    [Tooltip("If checked, exchange will not accept a bid without this asset.\nORTB: assets[i].required")]
    public bool required

##### Field Value

Type | Description
--- | ---
bool | `true` if required (exchange will not accept a bid without it), `false` otherwise.

##### Remarks

ORTB: `assets[i].required`